searchNodes=[{"doc":"Main module of ExTournaments","ref":"ExTournaments.html","title":"ExTournaments","type":"module"},{"doc":"A struct representing a single match in the tournament.","ref":"ExTournaments.Match.html","title":"ExTournaments.Match","type":"module"},{"doc":"Converting map to a Match struct Examples iex&gt; ExTournaments.Match.from_map(%{ round: 1, match: 1, player1: 1, player2: 2, win: %{ round : 2 , match : 1 }, loss: %{ round : 7 , match : 1 } }) %ExTournaments.Match{ player2: 2, player1: 1, match: 1, round: 1 loss: %ExTournaments.Match{ loss : nil , win : nil , player2 : nil , player1 : nil , match : 1 , round : 7 }, win: %ExTournaments.Match{ loss : nil , win : nil , player2 : nil , player1 : nil , match : 1 , round : 2 }, }","ref":"ExTournaments.Match.html#from_map/1","title":"ExTournaments.Match.from_map/1","type":"function"},{"doc":"A match","ref":"ExTournaments.Match.html#t:t/0","title":"ExTournaments.Match.t/0","type":"type"},{"doc":"Module for creation of a double elimination ladder","ref":"ExTournaments.Pairings.DoubleElimination.html","title":"ExTournaments.Pairings.DoubleElimination","type":"module"},{"doc":"Takes list with players IDs, index of the first round, and flag indicating is players array is ordered. Returns list of %ExTournaments.Match{} structs for the double elimination format tournament.","ref":"ExTournaments.Pairings.DoubleElimination.html#call/3","title":"ExTournaments.Pairings.DoubleElimination.call/3","type":"function"},{"doc":"Module for populating matches in the lower bracket","ref":"ExTournaments.Pairings.DoubleElimination.BuildLowerBracket.html","title":"ExTournaments.Pairings.DoubleElimination.BuildLowerBracket","type":"module"},{"doc":"Takes existing list of %ExTournaments.Match{} structs, current round index and exponent. It append matches for the lower bracket. Returns list of %ExTournaments.Match{} structs with newly created matches for the lower bracket.","ref":"ExTournaments.Pairings.DoubleElimination.BuildLowerBracket.html#call/3","title":"ExTournaments.Pairings.DoubleElimination.BuildLowerBracket.call/3","type":"function"},{"doc":"Module for building matches flow in the lower bracket","ref":"ExTournaments.Pairings.DoubleElimination.BuildLowerBracketFlow.html","title":"ExTournaments.Pairings.DoubleElimination.BuildLowerBracketFlow","type":"module"},{"doc":"Takes existing list of %ExTournaments.Match{} structs, remainder indicating difference beetween number of participants and power of two and difference between indices of the upper bracket and lower bracket. Returns list of %ExTournaments.Match{} structs with updated values for next matches after win or loss in the lower bracket.","ref":"ExTournaments.Pairings.DoubleElimination.BuildLowerBracketFlow.html#call/3","title":"ExTournaments.Pairings.DoubleElimination.BuildLowerBracketFlow.call/3","type":"function"},{"doc":"Module for building matches flow in the upper bracket depending on the remainder value","ref":"ExTournaments.Pairings.DoubleElimination.BuildUpperBracketFlow.html","title":"ExTournaments.Pairings.DoubleElimination.BuildUpperBracketFlow","type":"module"},{"doc":"Takes existing list of %ExTournaments.Match{} structs, indices of the round in the upper and lower bracket, difference between this indices, remainder and exponent from the difference between number of participants and power of 2. It determines the flow to use to populate matches flow by the value of remainder. Returns list of %ExTournaments.Match{} structs with updated values for next matches after win or loss in the upper bracket.","ref":"ExTournaments.Pairings.DoubleElimination.BuildUpperBracketFlow.html#call/7","title":"ExTournaments.Pairings.DoubleElimination.BuildUpperBracketFlow.call/7","type":"function"},{"doc":"Module for populating matches from BYEs","ref":"ExTournaments.Pairings.DoubleElimination.FillRoundsByes.html","title":"ExTournaments.Pairings.DoubleElimination.FillRoundsByes","type":"module"},{"doc":"Takes list of %ExTournaments.Match{} , round index and remainder and exponent from the difference between number of participants and power of 2. It will populate matches from the BYEs from the previous round. Returns an updated list of matches.","ref":"ExTournaments.Pairings.DoubleElimination.FillRoundsByes.html#call/4","title":"ExTournaments.Pairings.DoubleElimination.FillRoundsByes.call/4","type":"function"},{"doc":"Module for building matches flow in the upper bracket when number of participant is power of 2","ref":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeOneFlow.html","title":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeOneFlow","type":"module"},{"doc":"Takes existing list of %ExTournaments.Match{} structs, indices of the round in the upper and lower bracket, difference between this indices, remainder and exponent from the difference between number of participants and power of 2. It will populate flow for the case when remainder is equal 0 which means number of participants is equal the power of 2. Returns list of %ExTournaments.Match{} structs with updated values for next matches after win or loss in the upper bracket.","ref":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeOneFlow.html#call/7","title":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeOneFlow.call/7","type":"function"},{"doc":"Module for building matches flow in the upper bracket when remainder of participants is higher than half of them","ref":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeThreeFlow.html","title":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeThreeFlow","type":"module"},{"doc":"Takes existing list of %ExTournaments.Match{} structs, indices of the round in the upper and lower bracket, difference between this indices, remainder and exponent from the difference between number of participants and power of 2. It will populate flow for the case when remainder is upper than half of participant to the nearest power of 2. Returns list of %ExTournaments.Match{} structs with updated values for next matches after win or loss in the upper bracket.","ref":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeThreeFlow.html#call/7","title":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeThreeFlow.call/7","type":"function"},{"doc":"Module for building matches flow in the upper bracket when remainder of participants is lower than half of them","ref":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeTwoFlow.html","title":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeTwoFlow","type":"module"},{"doc":"Takes existing list of %ExTournaments.Match{} structs, indices of the round in the upper and lower bracket, difference between this indices, remainder and exponent from the difference between number of participants and power of 2. It will populate flow for the case when remainder is lower than half of participant to the nearest power of 2. Returns list of %ExTournaments.Match{} structs with updated values for next matches after win or loss in the upper bracket.","ref":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeTwoFlow.html#call/7","title":"ExTournaments.Pairings.DoubleElimination.FlowTypes.BuildTypeTwoFlow.call/7","type":"function"},{"doc":"Round Robin pairing using Berger Tables","ref":"ExTournaments.Pairings.RoundRobin.html","title":"ExTournaments.Pairings.RoundRobin","type":"module"},{"doc":"Takes list with players IDs, index of the first round, and flag indicating is players array is ordered. Returns list of %ExTournaments.Match{} structs for the whole round robin format tournament.","ref":"ExTournaments.Pairings.RoundRobin.html#call/3","title":"ExTournaments.Pairings.RoundRobin.call/3","type":"function"},{"doc":"Module for creation of a single elimination ladder","ref":"ExTournaments.Pairings.SingleElimination.html","title":"ExTournaments.Pairings.SingleElimination","type":"module"},{"doc":"Takes list with players IDs, index of the first round, flag indicating is third place match should be created and flag indicating is players array is ordered. Returns list of %ExTournaments.Match{} structs for the single elimination format tournament.","ref":"ExTournaments.Pairings.SingleElimination.html#call/4","title":"ExTournaments.Pairings.SingleElimination.call/4","type":"function"},{"doc":"Module for creation of a Swiss format round","ref":"ExTournaments.Pairings.Swiss.html","title":"ExTournaments.Pairings.Swiss","type":"module"},{"doc":"Takes list with players IDs, index of the first round, and lists of additional options for calculations. Returns list of %ExTournaments.Match{} structs for the SINGLE ROUND of Swiss tournament.","ref":"ExTournaments.Pairings.Swiss.html#generate_round/3","title":"ExTournaments.Pairings.Swiss.generate_round/3","type":"function"},{"doc":"Helper struct for Swiss pairing","ref":"ExTournaments.Pairings.Swiss.Player.html","title":"ExTournaments.Pairings.Swiss.Player","type":"module"},{"doc":"","ref":"ExTournaments.Pairings.Swiss.Player.html#t:t/0","title":"ExTournaments.Pairings.Swiss.Player.t/0","type":"type"},{"doc":"Helpers for weights calculation in Swiss","ref":"ExTournaments.Pairings.Swiss.Weight.html","title":"ExTournaments.Pairings.Swiss.Weight","type":"module"},{"doc":"","ref":"ExTournaments.Pairings.Swiss.Weight.html#calculate_weight/5","title":"ExTournaments.Pairings.Swiss.Weight.calculate_weight/5","type":"function"},{"doc":"Module for creation of a TwoLossOut format round","ref":"ExTournaments.Pairings.TwoLossOut.html","title":"ExTournaments.Pairings.TwoLossOut","type":"module"},{"doc":"Takes list with players IDs, index of the first round, and lists of additional options for calculations. Returns list of %ExTournaments.Match{} structs for the SINGLE ROUND of 2LO tournament.","ref":"ExTournaments.Pairings.TwoLossOut.html#generate_round/3","title":"ExTournaments.Pairings.TwoLossOut.generate_round/3","type":"function"},{"doc":"Edmond's Blossom algorithm NIF","ref":"ExTournaments.Utils.EdmondsBlossom.html","title":"ExTournaments.Utils.EdmondsBlossom","type":"module"},{"doc":"Takes list of Vertex structs. Returns blossom algorithm pairing for given players.","ref":"ExTournaments.Utils.EdmondsBlossom.html#call/1","title":"ExTournaments.Utils.EdmondsBlossom.call/1","type":"function"},{"doc":"Helper struct for Edmond's Blossom algorithm","ref":"ExTournaments.Utils.EdmondsBlossom.Matching.html","title":"ExTournaments.Utils.EdmondsBlossom.Matching","type":"module"},{"doc":"Helper struct for Edmond's Blossom algorithm","ref":"ExTournaments.Utils.EdmondsBlossom.Vertex.html","title":"ExTournaments.Utils.EdmondsBlossom.Vertex","type":"module"},{"doc":"Van Rantwijk's algorithm port NIF","ref":"ExTournaments.Utils.MaximumWeightedMatching.html","title":"ExTournaments.Utils.MaximumWeightedMatching","type":"module"},{"doc":"Takes list of Edge structs with i, j, weight values where i and j are player indices. Returns maximum weighted matching for given players.","ref":"ExTournaments.Utils.MaximumWeightedMatching.html#call/1","title":"ExTournaments.Utils.MaximumWeightedMatching.call/1","type":"function"},{"doc":"Helper struct for MWM algorithm","ref":"ExTournaments.Utils.MaximumWeightedMatching.Edge.html","title":"ExTournaments.Utils.MaximumWeightedMatching.Edge","type":"module"},{"doc":"Helper struct for MWM algorithm","ref":"ExTournaments.Utils.MaximumWeightedMatching.Pair.html","title":"ExTournaments.Utils.MaximumWeightedMatching.Pair","type":"module"},{"doc":"Collection of helpers to use in pairings algorithms","ref":"ExTournaments.Utils.PairingHelpers.html","title":"ExTournaments.Utils.PairingHelpers","type":"module"},{"doc":"Calculate exponent and remainder of the players by the power of 2","ref":"ExTournaments.Utils.PairingHelpers.html#calculate_factors/1","title":"ExTournaments.Utils.PairingHelpers.calculate_factors/1","type":"function"},{"doc":"Takes count of matches and number of the current fill iteration. It will generate fill pattern to build matches flow. Returns list of number for matches flow.","ref":"ExTournaments.Utils.PairingHelpers.html#fill_pattern/2","title":"ExTournaments.Utils.PairingHelpers.fill_pattern/2","type":"function"},{"doc":"Takes calculated remainder and return list of matches for the preliminary round","ref":"ExTournaments.Utils.PairingHelpers.html#generate_preliminary_matches/2","title":"ExTournaments.Utils.PairingHelpers.generate_preliminary_matches/2","type":"function"},{"doc":"Takes list of %ExTournaments.Match{} structs, round index, first round index, calculated exponents and flag to toggle function. Returns tuple with a list of generated matches and count of rounds.","ref":"ExTournaments.Utils.PairingHelpers.html#generate_regular_matches/6","title":"ExTournaments.Utils.PairingHelpers.generate_regular_matches/6","type":"function"},{"doc":"Takes calculated exponent and return list of prefilled participants seed","ref":"ExTournaments.Utils.PairingHelpers.html#prefill_bracket/1","title":"ExTournaments.Utils.PairingHelpers.prefill_bracket/1","type":"function"},{"doc":"Takes list of players IDs and according to the passed flag it will shuffle it.","ref":"ExTournaments.Utils.PairingHelpers.html#prepare_players_list/2","title":"ExTournaments.Utils.PairingHelpers.prepare_players_list/2","type":"function"},{"doc":"Takes list of matches, first round index, list of players IDs and calculated exponent and remainder. It will set BYE to the matches in the first round by the remainder. Returns list of matches with assigned BYE.","ref":"ExTournaments.Utils.PairingHelpers.html#set_byes_for_first_round/5","title":"ExTournaments.Utils.PairingHelpers.set_byes_for_first_round/5","type":"function"},{"doc":"Takes list of matches, list of seeds, first round index, list of players IDs and calculated remainder. It will assign players to the matches by the list of seeds and shuffling algorithms. Returns list of matches with assign players to the first round.","ref":"ExTournaments.Utils.PairingHelpers.html#set_players_for_first_round/5","title":"ExTournaments.Utils.PairingHelpers.set_players_for_first_round/5","type":"function"}]